/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _DragonEggUpgrade;
        public static UIKey DragonEggUpgrade => _DragonEggUpgrade ?? (_DragonEggUpgrade = new UIKey("DragonEgg", "Upgrade", typeof(DragonEggUpgradeView)));
    }
    public partial class DragonEggUpgradeView : UIView
    {
        public static UILayer Layer => UILayer.Middle;
        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new DragonEggUpgradeCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new DragonEggUpgradeVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

